CVE-2005-2153
CVSS7.5
发布时间 :2005-07-06 00:00:00
修订时间 :2008-09-05 16:51:01
NMCO    

[原文]SQL injection vulnerability in class.ticket.php in osTicket 1.3.1 beta and earlier allows remote attackers to execute arbitrary SQL commands via the ticket variable.


[CNNVD]osTicket class.ticket.php SQL注入漏洞(CNNVD-200507-057)

        osTicket是一套开源的Web界面票务管理系统。
        osTicket 1.3.1 beta及之前版本中的class.ticket.php存在SQL注入漏洞。
        远程攻击者可通过ticket变量,利用此漏洞执行任意SQL命令。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:osticket:osticket_sts:1.3_beta
cpe:/a:osticket:osticket_sts:1.2
cpe:/a:osticket:osticket_sts:1.2.7

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-2153
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-2153
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200507-057
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/14127
(UNKNOWN)  BID  14127
http://securitytracker.com/id?1014373
(UNKNOWN)  SECTRACK  1014373
http://seclists.org/lists/bugtraq/2005/Jul/0009.html
(VENDOR_ADVISORY)  BUGTRAQ  20050701 [SECURITY ALERT] osTicket bugs

- 漏洞信息

osTicket class.ticket.php SQL注入漏洞
高危 SQL注入
2005-07-06 00:00:00 2005-10-20 00:00:00
远程  
        osTicket是一套开源的Web界面票务管理系统。
        osTicket 1.3.1 beta及之前版本中的class.ticket.php存在SQL注入漏洞。
        远程攻击者可通过ticket变量,利用此漏洞执行任意SQL命令。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        http://www.osticket.com/downloads.php

- 漏洞信息

17714
osTicket class.ticket.php t Parameter SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity
Exploit Unknown

- 漏洞描述

osTicket contains a flaw that may allow a remote attacker to carry out an SQL injection attack. The issue is due to the 'class.ticket.php' script not properly sanitizing user-supplied input to the 't' variable. This may allow a remote attacker to inject or manipulate SQL queries in the back-end database.

- 时间线

2005-07-01 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站